Skip to main content
GET
/
payment
/
api
/
v1
/
ob
/
{payment_id}
Get Open Banking Payment Status
curl --request GET \
  --url https://api.carbnconnect.com/payment/api/v1/ob/{payment_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.carbnconnect.com/payment/api/v1/ob/{payment_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.carbnconnect.com/payment/api/v1/ob/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "amount": {
    "currency": "EUR",
    "value": 2
  },
  "bacs": null,
  "iban": null,
  "reference": "H7rFnzjV5VU5kgrS6O",
  "scheme": "SEPA_CREDIT_TRANSFER_INSTANT",
  "status": "PAYMENT_STATUS_INPUT_NEEDED",
  "end_to_end_id": "t1jl7t6a2b2f6940a94b26",
  "last_status_update": "YYYY-MM-DDTHH:MM:SS.sssZ",
  "payment_id": "payment-id-production-7db7e6d7-9330-45f5-a28f-a96f1c9dab0c",
  "recipient_id": "recipient-id-production-f81ba3f8-0a28-4949-b3ac-e5919169cb0d",
  "request_id": "fyKlyLpaIRq7683"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Must be included in the x-api-key header.

Path Parameters

payment_id
string
required

The unique identifier of the Open Banking payment

Response

Open Banking payment status retrieved successfully

amount
object
bacs
string | null

BACS reference (UK payments)

Example:

null

iban
string | null

IBAN of the recipient account

Example:

null

reference
string

Payment reference

Example:

"H7rFnzjV5VU5kgrS6O"

scheme
enum<string>

Payment scheme used

Available options:
SEPA_CREDIT_TRANSFER_INSTANT,
SEPA_CREDIT_TRANSFER,
FASTER_PAYMENTS,
BACS
Example:

"SEPA_CREDIT_TRANSFER_INSTANT"

status
enum<string>

Current payment status. PAYMENT_STATUS_INPUT_NEEDED: Awaiting user input. PAYMENT_STATUS_AUTHORISING: Being authorised. PAYMENT_STATUS_INITIATED: Authorised and in transit. PAYMENT_STATUS_EXECUTED: Funds have left payer's account. PAYMENT_STATUS_FAILED: System error (retryable). PAYMENT_STATUS_BLOCKED: Blocked by Plaid (retryable). PAYMENT_STATUS_REJECTED: Rejected by institution (terminal).

Available options:
PAYMENT_STATUS_INPUT_NEEDED,
PAYMENT_STATUS_AUTHORISING,
PAYMENT_STATUS_INITIATED,
PAYMENT_STATUS_EXECUTED,
PAYMENT_STATUS_FAILED,
PAYMENT_STATUS_BLOCKED,
PAYMENT_STATUS_REJECTED
Example:

"PAYMENT_STATUS_INPUT_NEEDED"

end_to_end_id
string

End-to-end identification

Example:

"t1jl7t6a2b2f6940a94b26"

last_status_update
string<date-time>

Timestamp of last status update

Example:

"YYYY-MM-DDTHH:MM:SS.sssZ"

payment_id
string

Unique payment identifier

Example:

"payment-id-production-7db7e6d7-9330-45f5-a28f-a96f1c9dab0c"

recipient_id
string

Recipient identifier

Example:

"recipient-id-production-f81ba3f8-0a28-4949-b3ac-e5919169cb0d"

request_id
string

Request identifier

Example:

"fyKlyLpaIRq7683"